%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-applets
Version:        1.8.1
Release:        %mkrel 2
Summary:        MATE Desktop panel applets
Group:          Graphical desktop/MATE
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (Fedora) Patch to fix cpufreq compilation
Patch0:			cpufreq.patch


BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(gtksourceview-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mate-settings-daemon)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(mate-desktop-2.0)
BuildRequires:  pkgconfig(mate-icon-theme)
BuildRequires:  pkgconfig(mateweather)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  mate-common
BuildRequires:  pygtk2.0-devel
BuildRequires:  python-gobject3-devel
BuildRequires:  libcpufreq-devel
BuildRequires:  libxklavier-devel >= 1.13
BuildRequires:  itstool
BuildRequires:  NetworkManager-devel

Requires:       polkit-agent
Requires:       usermode-consoleonly
Requires:       python-gi

%description
MATE Desktop panel applets

%prep
%autosetup -p1

%build
%configure2_5x   \
    --disable-schemas-compile                \
    --disable-scrollkeeper                   \
    --with-gtk=2.0                           \
    --disable-static                         \
    --with-x                                 \
    --enable-polkit                          \
    --enable-networkmanager                  \
    --enable-ipv6                            \
    --libexecdir=%{_libexecdir}/mate-applets

%make

%install
%makeinstall_std

#make python script executable
#http://forums.fedoraforum.org/showthread.php?t=284962
chmod a+x %{buildroot}%{python_sitelib}/mate_invest/chart.py

# remove needless MateConf stuff
rm -fr %{buildroot}%{_datadir}/MateConf

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%config(noreplace) %{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_bindir}/mate-invest-chart
%{_bindir}/mate-cpufreq-selector
%{python_sitelib}/mate_invest
%{_libexecdir}/mate-applets
%{_datadir}/mate-applets
%{_datadir}/mate-panel/applets
%{_datadir}/dbus-1/services/org.mate.panel.applet.CommandAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TimerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BattstatAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TrashAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.InvestAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWeatherAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MultiLoadAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CPUFreqAppletFactory.service
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.cpufreq.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.command.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.timer.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-eyes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-sticky-notes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-invest-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-cpu-frequency-applet.svg
%{_datadir}/icons/mate/48x48/apps/ax-applet.png
%{_datadir}/mate-2.0/ui/accessx-status-applet-menu.xml
%{_datadir}/mate-2.0/ui/battstat-applet-menu.xml
%{_datadir}/mate-2.0/ui/charpick-applet-menu.xml
%{_datadir}/mate-2.0/ui/drivemount-applet-menu.xml
%{_datadir}/mate-2.0/ui/geyes-applet-menu.xml
%{_datadir}/mate-2.0/ui/stickynotes-applet-menu.xml
%{_datadir}/mate-2.0/ui/trashapplet-menu.xml
%{_datadir}/mate-2.0/ui/mateweather-applet-menu.xml
%{_datadir}/mate-2.0/ui/multiload-applet-menu.xml
%{_datadir}/mate-2.0/ui/cpufreq-applet-menu.xml
%{_datadir}/pixmaps/mate-accessx-status-applet
%{_datadir}/pixmaps/mate-stickynotes
%{_datadir}/pixmaps/mate-cpufreq-applet
%{_datadir}/help/*/mate-accessx-status
%{_datadir}/help/*/mate-battstat
%{_datadir}/help/*/mate-char-palette
%{_datadir}/help/*/mate-cpufreq-applet
%{_datadir}/help/*/mate-drivemount
%{_datadir}/help/*/mate-geyes
%{_datadir}/help/*/mate-invest-applet
%{_datadir}/help/*/mate-multiload
%{_datadir}/help/*/mate-stickynotes_applet
%{_datadir}/help/*/mate-trashapplet
%{_datadir}/help/*/mateweather



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 748901
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737433
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 682183
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.8.0-3.mga5
+ Revision: 668653
- rebuild for new upower

* Sat May 31 2014 pterjan <pterjan> 1.8.0-2.mga5
+ Revision: 628324
- Rebuild for new Python

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600110
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598040
- Update to 1.7.x version

* Mon Feb 10 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 587837
- Rebuild for upower-glib changes
- Tidy buildrequires in specfile

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563707
-New bugfix version: 1.6.2

* Sat Nov 02 2013 fwang <fwang> 1.6.1-3.mga4
+ Revision: 548930
- add requires on python-gi

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461838
- fix RPM group

  + tarakbumba <tarakbumba>
    - imported package mate-applets

